AppendIterator::rewind
ArrayIterator
AppendIterator
PHP Manual

# AppendIterator::valid

Checks validity of the current element

### Description

public bool AppendIterator::valid ( void )

Checks validity of the current element.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the current iteration is valid, `FALSE` otherwise.

### See Also

- AppendIterator::current
- AppendIterator::key
- AppendIterator::next
- AppendIterator::rewind